org.wso2.carbon.device.mgt.mobile.windows.api.common

## Class PluginConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.PluginConstants

-     public final class PluginConstants
      extends Object

  PluginConstants class for Windows plugin. This class has inner classes for containing constants for each service.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PluginConstants.AuthenticatorProperties` Authentication related constants.
    `class` | `PluginConstants.CertificateEnrolment` Certificate enrollment Service related constants.
    `class` | `PluginConstants.CertificateEnrolmentPolicy` Certificate enrolment policy service related constants
    `class` | `PluginConstants.DeviceConstants` Windows device constants.
    `class` | `PluginConstants.Discovery` Discovery service related other constants
    `class` | `PluginConstants.OperationCodes` Device Operation codes.
    `class` | `PluginConstants.PolicyConfigProperties` Policy Configuration related constants.
    `class` | `PluginConstants.StatusCodes` Plugin response status code constants.
    `class` | `PluginConstants.SyncML` SynclML service related constants.
    `class` | `PluginConstants.TenantConfigProperties` Tenant Configuration related constants.
    `class` | `PluginConstants.WindowsConstant`
    `class` | `PluginConstants.WindowsEnrollmentProperties` Windows10 enrollment property constants.
    `class` | `PluginConstants.WindowsVersionProperties` Windows version(8.1/10) related constants.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CERTIFICATE_ENROLLMENT_POLICY_SERVICE_ENDPOINT`
    `static String` | `CERTIFICATE_ENROLLMENT_POLICY_SERVICE_TARGET_NAMESPACE`
    `static String` | `CERTIFICATE_ENROLLMENT_SERVICE_ENDPOINT`
    `static String` | `CONTENT_LENGTH`
    `static String` | `CONTEXT_WAP_PROVISIONING_FILE`
    `static String` | `CXF_REQUEST_URI`
    `static String` | `DEVICE_ENROLLMENT_SERVICE_TARGET_NAMESPACE`
    `static String` | `DISCOVERY_SERVICE_ENDPOINT`
    `static String` | `DISCOVERY_SERVICE_TARGET_NAMESPACE`
    `static String` | `ENROLLMENT_POLICY_TARGET_NAMESPACE`
    `static String` | `ENROLLMENT_SERVICE_ENDPOINT`
    `static String` | `REQUEST_WRAPPER_CLASS_NAME`
    `static String` | `RESPONSE_WRAPPER_CLASS_NAME`
    `static String` | `SECURITY`
    `static String` | `SOAP_AUTHORIZATION_TARGET_NAMESPACE`
    `static String` | `SYNCML_MEDIA_TYPE`
    `static String` | `TO`
    `static String` | `WS_SECURITY_TARGET_NAMESPACE`
    `static String` | `WS_TRUST_TARGET_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCOVERY_SERVICE_ENDPOINT

          public static final String DISCOVERY_SERVICE_ENDPOINT

      See Also:
        Constant Field Values

    - #### CERTIFICATE_ENROLLMENT_SERVICE_ENDPOINT

          public static final String CERTIFICATE_ENROLLMENT_SERVICE_ENDPOINT

      See Also:
        Constant Field Values

    - #### CERTIFICATE_ENROLLMENT_POLICY_SERVICE_ENDPOINT

          public static final String CERTIFICATE_ENROLLMENT_POLICY_SERVICE_ENDPOINT

      See Also:
        Constant Field Values

    - #### ENROLLMENT_SERVICE_ENDPOINT

          public static final String ENROLLMENT_SERVICE_ENDPOINT

      See Also:
        Constant Field Values

    - #### DISCOVERY_SERVICE_TARGET_NAMESPACE

          public static final String DISCOVERY_SERVICE_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### DEVICE_ENROLLMENT_SERVICE_TARGET_NAMESPACE

          public static final String DEVICE_ENROLLMENT_SERVICE_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### CERTIFICATE_ENROLLMENT_POLICY_SERVICE_TARGET_NAMESPACE

          public static final String CERTIFICATE_ENROLLMENT_POLICY_SERVICE_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### WS_TRUST_TARGET_NAMESPACE

          public static final String WS_TRUST_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### WS_SECURITY_TARGET_NAMESPACE

          public static final String WS_SECURITY_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### SOAP_AUTHORIZATION_TARGET_NAMESPACE

          public static final String SOAP_AUTHORIZATION_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### ENROLLMENT_POLICY_TARGET_NAMESPACE

          public static final String ENROLLMENT_POLICY_TARGET_NAMESPACE

      See Also:
        Constant Field Values

    - #### REQUEST_WRAPPER_CLASS_NAME

          public static final String REQUEST_WRAPPER_CLASS_NAME

      See Also:
        Constant Field Values

    - #### RESPONSE_WRAPPER_CLASS_NAME

          public static final String RESPONSE_WRAPPER_CLASS_NAME

      See Also:
        Constant Field Values

    - #### CONTEXT_WAP_PROVISIONING_FILE

          public static final String CONTEXT_WAP_PROVISIONING_FILE

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final String CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### SECURITY

          public static final String SECURITY

      See Also:
        Constant Field Values

    - #### TO

          public static final String TO

      See Also:
        Constant Field Values

    - #### CXF_REQUEST_URI

          public static final String CXF_REQUEST_URI

      See Also:
        Constant Field Values

    - #### SYNCML_MEDIA_TYPE

          public static final String SYNCML_MEDIA_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginConstants

          public PluginConstants()

Copyright © 2017 WSO2. All rights reserved.